interface BabelOptions {
    target: 'browser' | 'node';
}
export declare const getEslintConfig: ({ target }: BabelOptions) => {
    parser: string;
    plugins: string[];
    extends: string[];
    env: {
        es6: boolean;
        node: boolean;
        browser: boolean;
    };
    overrides: any[];
    rules: {
        'no-continue': number;
        'no-await-in-loop': number;
        'prettier/prettier': string;
        'import/prefer-default-export': number;
        'import/order': number;
        'import/export': number;
        'func-names': number;
        'no-restricted-syntax': number;
        'no-underscore-dangle': number;
        'no-use-before-define': number;
        'guard-for-in': number;
        strict: number;
        'no-control-regex': number;
        'no-console': (string | {
            allow: string[];
        })[];
        'import/no-unresolved': number;
        'arrow-body-style': number;
        'no-nested-ternary': number;
        'consistent-return': number;
        'no-prototype-builtins': number;
        quotes: (string | number | {
            avoidEscape: boolean;
        })[];
        'no-plusplus': number;
        'promise/always-return': number;
        'max-classes-per-file': number;
        '@typescript-eslint/no-unused-vars': (string | {
            argsIgnorePattern: string;
            args: string;
        })[];
        '@typescript-eslint/explicit-function-return-type': number;
        '@typescript-eslint/no-explicit-any': number;
        '@typescript-eslint/no-var-requires': number;
        '@typescript-eslint/indent': number;
        '@typescript-eslint/camelcase': number;
        '@typescript-eslint/no-use-before-define': number;
        '@typescript-eslint/explicit-member-accessibility': number;
        '@typescript-eslint/ban-ts-ignore': number;
    };
};
export {};
